#
# spec file for package ledger
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ledger
Version:        3.1.1
Release:        lp151.2.5
Summary:        Double-entry accounting system with a command-line reporting interface
License:        BSD-3-Clause
Group:          Productivity/Office/Finance
Url:            https://github.com/%{name}/%{name}
Source:         https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
Patch:          https://patch-diff.githubusercontent.com/raw/ledger/ledger/pull/465.patch
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_date_time-devel
BuildRequires:  libboost_filesystem-devel
BuildRequires:  libboost_iostreams-devel
BuildRequires:  libboost_regex-devel
BuildRequires:  libboost_test-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mpfr-devel
BuildRequires:  python
BuildRequires:  utfcpp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ledger is a powerful, double-entry accounting system that is accessed
from the UNIX command-line. This may put off some users, since there is
no flashy UI, but for those who want unparalleled reporting access to
their data there are few alternatives.

%prep
%setup -q
%patch -p1

%build
%cmake -DBUILD_LIBRARY=OFF
make %{?_smp_mflags}

%install
%cmake_install
install -m 644 -D contrib/ledger-completion.bash %{buildroot}%{_sysconfdir}/bash_completion.d/ledger.sh

%files
%defattr(-,root,root)
%doc README.md LICENSE.md
%doc %{_mandir}/man1/%{name}.1.gz
%{_bindir}/ledger
%{_sysconfdir}/bash_completion.d/ledger.sh

%changelog
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Tue Sep 13 2016 adam.majer@suse.de
- 465.patch
  + Fix compilation with Boost 1.61 (boo#994382)
  + upstream PR https://github.com/ledger/ledger/pull/465
* Wed Jan 27 2016 mimi.vx@gmail.com
- update to 3.1.1
- drop  ledger-3.1-fix-build-with-boost-1.58.patch
    ledger-3.1-convert-boost::optional-objects-to-bool-explicitly.patch
  * Added a --no-revalued option
  * Improved Embedded Python Support
  * Use ./.ledgerrc if ~/.ledgerrc doesn't exist
  * Fixed parsing of transactions with single-character payees and comments
  * Fixed crash when using -M option with empty result
  * Fixed sorting for option --auto-match
  * Fixed treatment of year 2015 and Y2014 directives
  * Fixed crash when using --trace 10 or above
  * Build fix for boost 1.58, 1.59, 1.60
  * Build fix for Cygwin
  * Various documentation improvements
  * Examples in the documentation are tested just like unit tests
* Sun Aug  2 2015 antoine.belvire@laposte.net
- Fix build with boost 1.58:
  * add ledger-3.1-convert-boost::optional-objects-to-bool-explicitly.patch
  * add ledger-3.1-fix-build-with-boost-1.58.patch
* Fri Feb  6 2015 jmatejka@suse.cz
- Install license file
* Thu Jan 22 2015 jmatejka@suse.cz
- Init package
